package com.mortals.xhx.daemon.applicationservice;

import com.mortals.framework.springcloud.service.IApplicationStartedService;
import com.mortals.framework.util.ThreadPool;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class StartService implements IApplicationStartedService {


    @Override
    public void start() {
        ThreadPool.getInstance().init(20);
    }

    @Override
    public void stop() {
        log.info("停止服务..");

    }

    @Override
    public int getOrder() {
        return 10;
    }


}
